c	************************************************************

	subroutine densdisk(rad,sint,cost,phi,dens)

c     calculates density in disk. called during grid setup
c     so doesn't need to be optimized.

c  history:
c  00/09/06 (baw): write subroutine, modified from opacdisks.f

	implicit none
	include 'ds.txt' 
        real*8 rad,sint,phi,zmr,dens,cost,rp,zp

        if(rad.gt.rmaxd.or.rhod0.eq.0..or.rad.le.0.8*rmin) then
          dens=0.
          return
        end if

	rp=rad*sint
	zp=rad*cost
	zmr=z1*rp**b
	if (abs(zp).lt.zmr) then
	  dens=rhod0/rp**a
	else
	  dens=0.
	end if

	return
	end


c	**********************************************************
